summaryrefslogtreecommitdiffstats
path: root/ircbot.bash
diff options
context:
space:
mode:
authorclsr <clsr@clsr.net>2022-06-13 21:25:03 +0000
committerclsr <clsr@clsr.net>2022-06-13 21:25:03 +0000
commit349b61f34c83740f8266ef07620158cdf939bb46 (patch)
tree6c68e5fa25f9fd9ddf936ad31433e77184389c5b /ircbot.bash
parente1f5ab2a59b9aae73f9bb73acd73b50606df47e5 (diff)
downloadmbibot-master.tar.gz
mbibot-master.zip
Add password supportHEADmaster
Diffstat (limited to 'ircbot.bash')
-rwxr-xr-xircbot.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/ircbot.bash b/ircbot.bash
index b6701c0..646c4da 100755
--- a/ircbot.bash
+++ b/ircbot.bash
@@ -77,6 +77,11 @@ connect() {
return $?
fi
+ if [[ -n "$IRCBOT_PASS" ]]; then
+ if ! sendmsg PASS "$IRCBOT_PASS"; then
+ return $?
+ fi
+ fi
if ! sendmsg NICK "$IRCBOT_NICK"; then
return $?
fi